Skip to main content
POST
/
v1
/
custom_block_deploys
/
{deploy_id}
/
complete
Complete a custom block deploy
curl --request POST \
  --url https://api.notion.com/v1/custom_block_deploys/{deploy_id}/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Notion-Version: <notion-version>' \
  --data '
{
  "parent_id": "<string>",
  "parent_table": "<string>"
}
'
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>"
}
This is an internal/undocumented endpoint. It is not part of the public API and may change without notice. Do not rely on this endpoint for production integrations.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The API version to use for this request. The latest version is 2026-03-11.

Available options:
2026-03-11

Path Parameters

deploy_id
string
required

UUID returned by the prior create-custom-block-deploy call.

Body

application/json
parent_id
string
required

ID of the record (e.g. block) that will own this deploy.

parent_table
string
required

Table of the parent record. Must be block today.

Allowed value: "block"

Response

object
string
required

The type of object, always 'custom_block_deploy'.

Allowed value: "custom_block_deploy"
id
string<uuid>
required

UUID identifying this custom block deploy.

url
string

Origin-relative path prefix from which the unpacked files can be fetched. Returned by complete.